Bug report #11176

Memory layer saver fails in 2.5.0-Master

Added by Sandro Santilli over 5 years ago. Updated over 5 years ago.

Status:Closed
Priority:Normal
Assignee:-
Category:-
Affected QGIS version:2.4.0 Regression?:No
Operating System: Easy fix?:No
Pull Request or Patch supplied:No Resolution:up/downstream
Crashes QGIS or corrupts data:No Copied to github as #:19490

Description

An error has occured while executing Python code:

Traceback (most recent call last):
File "/home/strk/.qgis2/python/plugins/MemoryLayerSaver/MemoryLayerSaver.py", line 285, in saveData
writer.writeLayers( layers )
File "/home/strk/.qgis2/python/plugins/MemoryLayerSaver/MemoryLayerSaver.py", line 47, in writeLayers
self.writeLayer( layer )
File "/home/strk/.qgis2/python/plugins/MemoryLayerSaver/MemoryLayerSaver.py", line 71, in writeLayer
ds.writeQVariant(feat[i])
KeyError: '0'

Python version:
2.7.6 (default, Mar 22 2014, 23:03:41)
[GCC 4.8.2]
I created a memory layer with QuickWKT and, having "Memory Layer Saver" plugin installed, I got this error on project save:

QGIS version:
2.5.0-Master Master, e91141c

Python path: ['/home/strk/.qgis2/python/plugins/processing', '/usr/src/qgis/build/master/output/python', u'/home/strk/.qgis2/python', u'/home/strk/.qgis2/python/plugins', '/usr/src/qgis/build/master/output/python/plugins', '/usr/local/lib/python2.7/dist-packages/nik2img-0.8.0-py2.7.egg', '/usr/local/lib/python2.7/dist-packages/multicorn-1.0.3_dev-py2.7-linux-x86_64.egg', '/usr/local/lib/python2.7/dist-packages/GDAL-1.11.0-py2.7-linux-x86_64.egg', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-x86_64-linux-gnu', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PILcompat', '/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client', '/usr/lib/python2.7/dist-packages/ubuntuone-client', '/usr/lib/python2.7/dist-packages/ubuntuone-control-panel', '/usr/lib/python2.7/dist-packages/ubuntuone-storage-protocol', '/usr/src/qgis/build/master/output/python/plugins/fTools/tools', '/home/strk/Desktop', '/home/strk/.qgis2/python/plugins/MetaSearch/ext-libs']

See also #8387

History

#1 Updated by Sandro Santilli over 5 years ago

  • Resolution set to up/downstream
  • Status changed from Open to Closed

Also available in: Atom PDF